"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = reloadSession;

async function reloadSession() {
  const oldSessionId = this.sessionId;
  await this.deleteSession();

  const ProtocolDriver = require(this.options.automationProtocol).default;

  await ProtocolDriver.reloadSession(this);

  if (Array.isArray(this.options.onReload) && this.options.onReload.length) {
    await Promise.all(this.options.onReload.map(hook => hook(oldSessionId, this.sessionId)));
  }

  return this.sessionId;
}