"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getSize;

var _utils = require("../../utils");

async function getSize(prop = null) {
  let rect = {};

  if (this.isW3C) {
    rect = await (0, _utils.getElementRect)(this);
  } else {
    rect = await this.getElementSize(this.elementId);
  }

  if (rect[prop]) {
    return rect[prop];
  }

  return {
    width: rect.width,
    height: rect.height
  };
}