"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isDisplayed;

var _constants = require("../../constants");

var _utils = require("../../utils");

var _isElementDisplayed = _interopRequireDefault(require("../../scripts/isElementDisplayed"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const noW3CEndpoint = ['microsoftedge', 'safari', 'chrome'];

async function isDisplayed() {
  let browser = (0, _utils.getBrowserObject)(this);

  if (!this.elementId) {
    const method = this.isReactElement ? 'react$' : '$';
    this.elementId = (await this.parent[method](this.selector)).elementId;
  }

  if (!this.elementId) {
    return false;
  }

  return browser.isDevTools || browser.isW3C && !browser.isMobile && noW3CEndpoint.includes(browser.capabilities.browserName.toLowerCase()) ? await browser.execute(_isElementDisplayed.default, {
    [_constants.ELEMENT_KEY]: this.elementId,
    ELEMENT: this.elementId
  }) : await this.isElementDisplayed(this.elementId);
}