"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = moveTo;

var _utils = require("../../utils");

async function moveTo(xoffset, yoffset) {
  if (!this.isW3C) {
    return this.moveToElement(this.elementId, xoffset, yoffset);
  }

  const {
    x,
    y,
    width,
    height
  } = await (0, _utils.getElementRect)(this);
  const {
    scrollX,
    scrollY
  } = await (0, _utils.getScrollPosition)(this);
  const newXoffset = parseInt(x + (typeof xoffset === 'number' ? xoffset : width / 2), 10) - scrollX;
  const newYoffset = parseInt(y + (typeof yoffset === 'number' ? yoffset : height / 2), 10) - scrollY;
  return this.performActions([{
    type: 'pointer',
    id: 'finger1',
    parameters: {
      pointerType: 'mouse'
    },
    actions: [{
      type: 'pointerMove',
      duration: 0,
      x: newXoffset,
      y: newYoffset
    }]
  }]).then(() => this.releaseActions());
}